# ConfigDelegate

class ConfigDelegate<T : Any>(configClass: KClass<T>, file: File, defaultCallback: () -> T?)
Content copied to clipboard

## See also

kSpigotJsonConfig
Link copied to clipboard

## Constructors

ConfigDelegate
Link copied to clipboard
fun <T : Any> ConfigDelegate(configClass: KClass<T>, file: File, defaultCallback: () -> T?)
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
getValue
Link copied to clipboard
operator fun getValue(thisRef: Any?, property: KProperty<*>): T
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
reload
Link copied to clipboard

Loads the current state of the config on disk to the config object.

fun reload()
Content copied to clipboard
save
Link copied to clipboard

Saves the config object in its current state to disk.

fun save()
Content copied to clipboard
setValue
Link copied to clipboard
operator fun setValue(thisRef: Any?, property: KProperty<*>, config: T): Boolean
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

data
Link copied to clipboard
var data: T
Content copied to clipboard